Get the calling account's identity and profile
curl --request GET \
--url https://us.console.entire.io/api/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.console.entire.io/api/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.console.entire.io/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.console.entire.io/api/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://us.console.entire.io/api/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://us.console.entire.io/api/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.console.entire.io/api/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"auth": {
"provider": "<string>",
"providerUserId": "<string>"
},
"global": {
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"handles": [
{
"handle": "<string>",
"provider": "<string>",
"providerUserId": "<string>",
"email": "<string>"
}
],
"avatarUrl": "<string>",
"displayName": "<string>",
"handle": "<string>",
"homeJurisdiction": "<string>",
"username": "<string>"
},
"$schema": "/api/v1/schemas/GetMeOutputBody.json",
"deletion": {
"cooldownEndsAt": "2023-11-07T05:31:56Z",
"requestedAt": "2023-11-07T05:31:56Z"
},
"jurisdiction": "<string>",
"mode": "global",
"regional": {
"bio": "<string>",
"company": "<string>",
"displayName": "<string>",
"email": "<string>",
"location": "<string>",
"providerEmails": {}
},
"regionalUnavailable": {
"error": "foreign_jurisdiction",
"homeCoreUrl": "<string>",
"jurisdiction": "<string>",
"message": "<string>"
}
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Account
Get the calling account's identity and profile
GET
/
me
Get the calling account's identity and profile
curl --request GET \
--url https://us.console.entire.io/api/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.console.entire.io/api/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.console.entire.io/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.console.entire.io/api/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://us.console.entire.io/api/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://us.console.entire.io/api/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.console.entire.io/api/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"auth": {
"provider": "<string>",
"providerUserId": "<string>"
},
"global": {
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"handles": [
{
"handle": "<string>",
"provider": "<string>",
"providerUserId": "<string>",
"email": "<string>"
}
],
"avatarUrl": "<string>",
"displayName": "<string>",
"handle": "<string>",
"homeJurisdiction": "<string>",
"username": "<string>"
},
"$schema": "/api/v1/schemas/GetMeOutputBody.json",
"deletion": {
"cooldownEndsAt": "2023-11-07T05:31:56Z",
"requestedAt": "2023-11-07T05:31:56Z"
},
"jurisdiction": "<string>",
"mode": "global",
"regional": {
"bio": "<string>",
"company": "<string>",
"displayName": "<string>",
"email": "<string>",
"location": "<string>",
"providerEmails": {}
},
"regionalUnavailable": {
"error": "foreign_jurisdiction",
"homeCoreUrl": "<string>",
"jurisdiction": "<string>",
"message": "<string>"
}
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
oauth2bearerAuthsessionAuth
Authorization code flow with PKCE-S256. RFC 8628 device flow is also supported.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"/api/v1/schemas/GetMeOutputBody.json"
Present only when a deletion is pending; carries the cooldown window.
Show child attributes
Show child attributes
Available options:
global, regional Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?